Skip to main content
GET
list diagnostics

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

name
string
value
string
is_prime
string
type
string
field_in_alpha_version
string
field_in_beta_version
string

Response

JSON A list array of Diagnostics. Each entry in the array is a full Diagnostics object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Diagnostics objects matching the query. Also: "total_count": Integer count of the number of Diagnostics objects in the returned list. "url": The query string provided in the request "next": The route (partial URL) to the next Diagnostics object (string to select the “next”); included id should match that of the last object returned here "previous": The route (partial URL) to the previous Diagnostics object (string to select the “previous”); included id should match that of the first object returned here

object
enum<string>
Available options:
List
data
object[]
total_count
integer

Integer count of the number of items in the returned list.

url
string

The query string provided in the request

next
string

The route (partial URL) to the next Diagnostic object (string to select the "next"); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Diagnostic object (string to select the "previous"); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Diagnostic\", \"id\": \"1\", \"name\": \"one\", \"value\": 1, \"type\": \"Identity\" }, { \"object\": \"Diagnostic\", \"id\": \"2\", \"name\": \"two\", \"value\": 2, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"3\", \"name\": \"three\", \"value\": 3, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"4\", \"name\": \"four\", \"value\": 4, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"5\", \"name\": \"five\", \"value\": 5, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"6\", \"name\": \"six\", \"value\": 6, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"7\", \"name\": \"seven\", \"value\": 7, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"8\", \"name\": \"eight\", \"value\": 8, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"9\", \"name\": \"nine\", \"value\": 9, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"10\", \"name\": \"ten\", \"value\": 10, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"11\", \"name\": \"eleven\", \"value\": 11, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"12\", \"name\": \"twelve\", \"value\": 12, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"13\", \"name\": \"thirteen\", \"value\": 13, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"14\", \"name\": \"fourteen\", \"value\": 14, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"15\", \"name\": \"fifteen\", \"value\": 15, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"16\", \"name\": \"sixteen\", \"value\": 16, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"17\", \"name\": \"seventeen\", \"value\": 17, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"18\", \"name\": \"eighteen\", \"value\": 18, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"19\", \"name\": \"nineteen\", \"value\": 19, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"20\", \"name\": \"twenty\", \"value\": 20, \"is_prime\": false, \"type\": \"Composite\" } ], \"total_count\": 250, \"url\": \"/diagnostics\", \"next\": \"/diagnostics?starting_after=20\", \"previous\": \"/diagnostics?ending_before=1\" }"